import {request} from '@/utils/request.js'


// 获取商品列表
export function getGoods(data) {
	return request({
		url: '/zswl-cloud-shop/goodsInfo/search',
		data
	})
}

// 获取商品详情
export function detail(data) {
	return request({
		url: '/zswl-cloud-shop/goodsInfo/detail',
		data
	})
}


// 获取优惠券  店铺优惠券 多功能
export function allCouponByUser(data) {
	return request({
		url: '/zswl-cloud-shop/goodsCoupon/allCouponByUser',
		data
	})
}

// 购买商品
export function creat(data) {
	return request({
		url: '/springbatchservice/order/creat',
		method:'post',
		data
	})
}

// 优惠券列表
export function getWhetherCoupon(data) {
	return request({
		url: '/zswl-cloud-shop/goodsCoupon/getWhetherCoupon',
		data
	})
}

// 可使用优惠券列表
export function getCouponList(data) {
	return request({
		url: '/zswl-cloud-shop/goodsCouponLog/couponList',
		data
	})
}

// 获取优惠券类型
export function getCouponType(data) {
	return request({
		url: '/zswl-cloud-shop/goodsCoupon/getGoodsCoupon',
		data
	})
}

// 获取虚拟商品列表
export function getVirtuallist(data) {
	return request({
		url: '/zswl-cloud-shop/yqd/getCatalogList',
		data
	})
}

// 获取虚拟商品信息
export function getVirtualInfo(data) {
	return request({
		url: '/zswl-cloud-shop/yqd/info',
		data
	})
}

// 下单校验
export function valid(data) {
	return request({
		url: '/zswl-cloud-shop/goodsInfo/valid',
		data
	})
}


// 研学商品详情的统计
// goodsReserve/getStudyAbout
export function getStudyAbout(data) {
	return request({
		url: '/zswl-cloud-shop/goodsReserve/getStudyAbout',
		method:'get',
		data
	})
}
// 查询研学商品的购买时段
// /goodsReserve/goodsBuyStatistic
export function goodsBuyStatistic(data) {
	return request({
		url: '/zswl-cloud-shop/goodsReserve/goodsBuyStatistic',
		method:'post',
		data
	})
}